Bug 1376224 - Enhance the status ERROR condition under /hosts/<FQDN> page when hitting the "Security errata applicable"
Summary: Enhance the status ERROR condition under /hosts/<FQDN> page when hitting the ...
Keywords:
Status: CLOSED DUPLICATE of bug 1368254
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-14 23:01 UTC by Marcelo Moreira de Mello
Modified: 2021-03-11 14:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-04 21:31:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15748 0 Normal Closed Test with Ruby 2.0, 2.1, 2.2, and 2.3 and not with 1.9.3 2020-10-20 16:37:16 UTC
Foreman Issue Tracker 16748 0 Normal Duplicate Enhance the status ERROR condition under /hosts/<FQDN> page when hitting the "Security errata applicable" 2020-10-20 16:37:16 UTC
Red Hat Knowledge Base (Solution) 2623651 0 None None None 2016-09-14 23:11:18 UTC

Description Marcelo Moreira de Mello 2016-09-14 23:01:31 UTC
Description of problem:

When a system is fully updated based on its content view and correctly registered and consuming an entitlement, the system's properties page still shows an error status if there are some "Security errata applicable" since it considered all the applicable errata (not yet present on its content view). 

We need to enhance and provide a better description to avoid misunderstanding on this particular situation.  Ideally, we should address differently the error status when:

  1 module Katello
  2   class ErrataStatus < HostStatus::Status
  3     NEEDED_SECURITY_ERRATA = 3
  4     NEEDED_ERRATA = 2

 [.. snip ..]

 15         N_("Security errata applicable")
 16       when NEEDED_ERRATA
 17         N_("Non-security errata applicable")


  "Security errata applicable" or  "Non-security errata applicable" should not be considered as an error. 


Version-Release number of selected component (if applicable):
Red Hat Satellite 6.2 


How reproducible:
100%


Steps to Reproduce:
1. Install a RHEL6u7 system;
2. Create a content view including packages up to RHEL6u6
3. Register the RHEL6u7 system to the RHEL6u6 content view
4. yum list updates should return 0
5. Access https://satellite/hosts/RHEL6u7 system

Actual results:

   Status: Error
   Errata: Security errata applicable
   Subscription: Fully entitled


Expected results:
  
   It is correct that are some security errata applicable but this should not trigger the status to be displayed as an error. Maybe we can change to warning or a different message.

Comment 2 Marcelo Moreira de Mello 2016-09-14 23:09:12 UTC
Created attachment 1200992 [details]
screenshot

screenshot

Comment 3 Mike McCune 2016-09-14 23:23:05 UTC
I have been hearing this complaint from a few customers that we should not consider this situation an Error. Ideally we could address this in 6.2.z or 6.3

Comment 5 Craig Donnelly 2016-09-29 19:28:57 UTC
It should be noted that not only is this status confusing, but does NOT seem to properly update in the WebUI once this is no longer the actual case for that host. Marcelo was also able to reproduce this by ensuring a host was totally up to date, and notably the host would still show the error. (We could flip this switch in the DB to get it sorted manually.)

Comment 7 Chris Roberts 2016-09-29 19:50:19 UTC
created redmine issue for this:

http://projects.theforeman.org/issues/16748

Comment 8 Bryan Kearney 2016-09-29 20:18:51 UTC
Upstream bug component is WebUI

Comment 9 Bryan Kearney 2016-09-30 08:18:50 UTC
Upstream bug component is Content Management

Comment 10 Chris Roberts 2016-10-04 21:31:54 UTC

*** This bug has been marked as a duplicate of bug 1368254 ***


Note You need to log in before you can comment on or make changes to this bug.